| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
main_record_processor.cpp File Reference
PMBus and SMBus Support Libraries » LTPSM_InFlightUpdate

Copyright 2018(c) Analog Devices, Inc. More...

## Detailed Description

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Library File

Definition in file main_record_processor.cpp.

Go to the source code of this file.

## Functions
uint8_t | recordProcessor___0x01___processWriteByteOptionalPEC (t_RECORD_PMBUS_WRITE_BYTE *)
| PRIVATE PROTOTYPES RELATING TO RECORD TYPE PARSING. More...
uint8_t | recordProcessor___0x02___processWriteWordOptionalPEC (t_RECORD_PMBUS_WRITE_WORD *)
uint8_t | recordProcessor___0x04___processReadByteExpectOptionalPEC (t_RECORD_PMBUS_READ_BYTE_EXPECT *)
uint8_t | recordProcessor___0x05___processReadWordExpectOptionalPEC (t_RECORD_PMBUS_READ_WORD_EXPECT *)
uint8_t | recordProcessor___0x09___bufferNVMData (t_RECORD_NVM_DATA *)
uint8_t | recordProcessor___0x0A___processReadByteLoopMaskOptionalPEC (t_RECORD_PMBUS_READ_BYTE_LOOP_MASK *)
uint8_t | recordProcessor___0x0B___processReadWordLoopMaskOptionalPEC (t_RECORD_PMBUS_READ_WORD_LOOP_MASK *)
uint8_t | recordProcessor___0x0C___processPollReadByteUntilAckNoPEC (t_RECORD_PMBUS_POLL_READ_BYTE_UNTIL_ACK *)
uint8_t | recordProcessor___0x0D___processDelayMs (t_RECORD_DELAY_MS *)
uint8_t | recordProcessor___0x0E___processSendByteOptionalPEC (t_RECORD_PMBUS_SEND_BYTE *)
uint8_t | recordProcessor___0x0F___processWriteByteNoPEC (t_RECORD_PMBUS_WRITE_BYTE_NOPEC *)
uint8_t | recordProcessor___0x10___processWriteWordNoPEC (t_RECORD_PMBUS_WRITE_WORD_NOPEC *)
uint8_t | recordProcessor___0x12___processReadByteExpectNoPEC (t_RECORD_PMBUS_READ_BYTE_EXPECT_NOPEC *)
uint8_t | recordProcessor___0x13___processReadWordExpectNoPEC (t_RECORD_PMBUS_READ_WORD_EXPECT_NOPEC *)
uint8_t | recordProcessor___0x15___processReadByteLoopMaskNoPEC (t_RECORD_PMBUS_READ_BYTE_LOOP_MASK_NOPEC *)
uint8_t | recordProcessor___0x16___processReadWordLoopMaskNoPEC (t_RECORD_PMBUS_READ_WORD_LOOP_MASK_NOPEC *)
uint8_t | recordProcessor___0x17___processSendByteNoPEC (t_RECORD_PMBUS_SEND_BYTE_NOPEC *)
uint8_t | recordProcessor___0x18___processEvent (t_RECORD_EVENT *)
uint8_t | recordProcessor___0x19___processReadByteExpectMaskNoPEC (t_RECORD_PMBUS_READ_BYTE_EXPECT_MASK_NOPEC *)
uint8_t | recordProcessor___0x1A___processReadWordExpectMaskNoPEC (t_RECORD_PMBUS_READ_WORD_EXPECT_MASK_NOPEC *)
uint8_t | recordProcessor___0x1B___processVariableMetaData (t_RECORD_VARIABLE_META_DATA *)
uint8_t | recordProcessor___0x1C___modifyWordNoPEC (t_RECORD_PMBUS_MODIFY_WORD_NO_PEC *)
uint8_t | recordProcessor___0x1D___modifyByteNoPEC (t_RECORD_PMBUS_MODIFY_BYTE_NO_PEC *)
uint8_t | recordProcessor___0x1E___writeNvmData (t_RECORD_NVM_DATA *)
uint8_t | recordProcessor___0x1F___read_then_verifyNvmData (t_RECORD_NVM_DATA *)
uint8_t | recordProcessor___0x20___modifyByteOptionalPEC (t_RECORD_PMBUS_MODIFY_BYTE *)
uint8_t | recordProcessor___0x21___modifyWordOptionalPEC (t_RECORD_PMBUS_MODIFY_WORD *)
uint8_t | processRecordsOnDemand (pRecordHeaderLengthAndType(*getRecord)(void))
uint8_t | verifyRecordsOnDemand (pRecordHeaderLengthAndType(*getRecord)(void))

## Macros
#define | DEBUG_SILENT 0
#define | DEBUG_PROCESSING 0
#define | DEBUG_PRINT 0

## Variables
static bool | verification_in_progress = false
| VARIABLES. More...
static bool | ignore_records = false

## Function Documentation

## ◆ processRecordsOnDemand()

uint8_t processRecordsOnDemand | ( | pRecordHeaderLengthAndType(*)(void) | getRecord | ) |

Definition at line 91 of file main_record_processor.cpp.

## ◆ recordProcessor___0x01___processWriteByteOptionalPEC()

uint8_t recordProcessor___0x01___processWriteByteOptionalPEC | ( | t_RECORD_PMBUS_WRITE_BYTE * | pRecord | ) |

PRIVATE PROTOTYPES RELATING TO RECORD TYPE PARSING.

Definition at line 367 of file main_record_processor.cpp.

## ◆ recordProcessor___0x02___processWriteWordOptionalPEC()

uint8_t recordProcessor___0x02___processWriteWordOptionalPEC | ( | t_RECORD_PMBUS_WRITE_WORD * | pRecord | ) |

Definition at line 412 of file main_record_processor.cpp.

## ◆ recordProcessor___0x04___processReadByteExpectOptionalPEC()

uint8_t recordProcessor___0x04___processReadByteExpectOptionalPEC | ( | t_RECORD_PMBUS_READ_BYTE_EXPECT * | pRecord | ) |

Definition at line 455 of file main_record_processor.cpp.

## ◆ recordProcessor___0x05___processReadWordExpectOptionalPEC()

uint8_t recordProcessor___0x05___processReadWordExpectOptionalPEC | ( | t_RECORD_PMBUS_READ_WORD_EXPECT * | pRecord | ) |

Definition at line 500 of file main_record_processor.cpp.

## ◆ recordProcessor___0x09___bufferNVMData()

uint8_t recordProcessor___0x09___bufferNVMData | ( | t_RECORD_NVM_DATA * | pRecord | ) |

Definition at line 545 of file main_record_processor.cpp.

## ◆ recordProcessor___0x0A___processReadByteLoopMaskOptionalPEC()

uint8_t recordProcessor___0x0A___processReadByteLoopMaskOptionalPEC | ( | t_RECORD_PMBUS_READ_BYTE_LOOP_MASK * | pRecord | ) |

Definition at line 587 of file main_record_processor.cpp.

## ◆ recordProcessor___0x0B___processReadWordLoopMaskOptionalPEC()

uint8_t recordProcessor___0x0B___processReadWordLoopMaskOptionalPEC | ( | t_RECORD_PMBUS_READ_WORD_LOOP_MASK * | pRecord | ) |

Definition at line 646 of file main_record_processor.cpp.

## ◆ recordProcessor___0x0C___processPollReadByteUntilAckNoPEC()

uint8_t recordProcessor___0x0C___processPollReadByteUntilAckNoPEC | ( | t_RECORD_PMBUS_POLL_READ_BYTE_UNTIL_ACK * | pRecord | ) |

Definition at line 703 of file main_record_processor.cpp.

## ◆ recordProcessor___0x0D___processDelayMs()

uint8_t recordProcessor___0x0D___processDelayMs | ( | t_RECORD_DELAY_MS * | pRecord | ) |

Definition at line 743 of file main_record_processor.cpp.

## ◆ recordProcessor___0x0E___processSendByteOptionalPEC()

uint8_t recordProcessor___0x0E___processSendByteOptionalPEC | ( | t_RECORD_PMBUS_SEND_BYTE * | pRecord | ) |

Definition at line 782 of file main_record_processor.cpp.

## ◆ recordProcessor___0x0F___processWriteByteNoPEC()

uint8_t recordProcessor___0x0F___processWriteByteNoPEC | ( | t_RECORD_PMBUS_WRITE_BYTE_NOPEC * | pRecord | ) |

Definition at line 819 of file main_record_processor.cpp.

## ◆ recordProcessor___0x10___processWriteWordNoPEC()

uint8_t recordProcessor___0x10___processWriteWordNoPEC | ( | t_RECORD_PMBUS_WRITE_WORD_NOPEC * | pRecord | ) |

Definition at line 857 of file main_record_processor.cpp.

## ◆ recordProcessor___0x12___processReadByteExpectNoPEC()

uint8_t recordProcessor___0x12___processReadByteExpectNoPEC | ( | t_RECORD_PMBUS_READ_BYTE_EXPECT_NOPEC * | pRecord | ) |

Definition at line 895 of file main_record_processor.cpp.

## ◆ recordProcessor___0x13___processReadWordExpectNoPEC()

uint8_t recordProcessor___0x13___processReadWordExpectNoPEC | ( | t_RECORD_PMBUS_READ_WORD_EXPECT_NOPEC * | pRecord | ) |

Definition at line 934 of file main_record_processor.cpp.

## ◆ recordProcessor___0x15___processReadByteLoopMaskNoPEC()

uint8_t recordProcessor___0x15___processReadByteLoopMaskNoPEC | ( | t_RECORD_PMBUS_READ_BYTE_LOOP_MASK_NOPEC * | pRecord | ) |

Definition at line 974 of file main_record_processor.cpp.

## ◆ recordProcessor___0x16___processReadWordLoopMaskNoPEC()

uint8_t recordProcessor___0x16___processReadWordLoopMaskNoPEC | ( | t_RECORD_PMBUS_READ_WORD_LOOP_MASK_NOPEC * | pRecord | ) |

Definition at line 1027 of file main_record_processor.cpp.

## ◆ recordProcessor___0x17___processSendByteNoPEC()

uint8_t recordProcessor___0x17___processSendByteNoPEC | ( | t_RECORD_PMBUS_SEND_BYTE_NOPEC * | pRecord | ) |

Definition at line 1081 of file main_record_processor.cpp.

## ◆ recordProcessor___0x18___processEvent()

uint8_t recordProcessor___0x18___processEvent | ( | t_RECORD_EVENT * | pRecord | ) |

Definition at line 1114 of file main_record_processor.cpp.

## ◆ recordProcessor___0x19___processReadByteExpectMaskNoPEC()

uint8_t recordProcessor___0x19___processReadByteExpectMaskNoPEC | ( | t_RECORD_PMBUS_READ_BYTE_EXPECT_MASK_NOPEC * | pRecord | ) |

Definition at line 1209 of file main_record_processor.cpp.

## ◆ recordProcessor___0x1A___processReadWordExpectMaskNoPEC()

uint8_t recordProcessor___0x1A___processReadWordExpectMaskNoPEC | ( | t_RECORD_PMBUS_READ_WORD_EXPECT_MASK_NOPEC * | pRecord | ) |

Definition at line 1256 of file main_record_processor.cpp.

## ◆ recordProcessor___0x1B___processVariableMetaData()

uint8_t recordProcessor___0x1B___processVariableMetaData | ( | t_RECORD_VARIABLE_META_DATA * | pRecord | ) |

Definition at line 1310 of file main_record_processor.cpp.

## ◆ recordProcessor___0x1C___modifyWordNoPEC()

uint8_t recordProcessor___0x1C___modifyWordNoPEC | ( | t_RECORD_PMBUS_MODIFY_WORD_NO_PEC * | pRecord | ) |

Definition at line 1395 of file main_record_processor.cpp.

## ◆ recordProcessor___0x1D___modifyByteNoPEC()

uint8_t recordProcessor___0x1D___modifyByteNoPEC | ( | t_RECORD_PMBUS_MODIFY_BYTE_NO_PEC * | pRecord | ) |

Definition at line 1439 of file main_record_processor.cpp.

## ◆ recordProcessor___0x1E___writeNvmData()

uint8_t recordProcessor___0x1E___writeNvmData | ( | t_RECORD_NVM_DATA * | pRecord | ) |

Definition at line 1483 of file main_record_processor.cpp.

## ◆ recordProcessor___0x1F___read_then_verifyNvmData()

uint8_t recordProcessor___0x1F___read_then_verifyNvmData | ( | t_RECORD_NVM_DATA * | pRecord | ) |

Definition at line 1509 of file main_record_processor.cpp.

## ◆ recordProcessor___0x20___modifyByteOptionalPEC()

uint8_t recordProcessor___0x20___modifyByteOptionalPEC | ( | t_RECORD_PMBUS_MODIFY_BYTE * | pRecord | ) |

Definition at line 1535 of file main_record_processor.cpp.

## ◆ recordProcessor___0x21___modifyWordOptionalPEC()

uint8_t recordProcessor___0x21___modifyWordOptionalPEC | ( | t_RECORD_PMBUS_MODIFY_WORD * | pRecord | ) |

Definition at line 1588 of file main_record_processor.cpp.

## ◆ verifyRecordsOnDemand()

uint8_t verifyRecordsOnDemand | ( | pRecordHeaderLengthAndType(*)(void) | getRecord | ) |

Definition at line 224 of file main_record_processor.cpp.

## Macro Definition Documentation

## ◆ DEBUG_PRINT

#define DEBUG_PRINT 0

Definition at line 46 of file main_record_processor.cpp.

## ◆ DEBUG_PROCESSING

#define DEBUG_PROCESSING 0

Definition at line 45 of file main_record_processor.cpp.

## ◆ DEBUG_SILENT

#define DEBUG_SILENT 0

Definition at line 44 of file main_record_processor.cpp.

## Variable Documentation

## ◆ ignore_records

bool ignore_records = false
| static

Definition at line 79 of file main_record_processor.cpp.

## ◆ verification_in_progress

bool verification_in_progress = false
| static

VARIABLES.

Definition at line 78 of file main_record_processor.cpp.